Skip to main content
PATCH
/
v1
/
settings
/
notifications
Patch Notifications
curl --request PATCH \
  --url https://api.example.com/v1/settings/notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email_enabled": true,
  "slack_enabled": true,
  "min_risk_score_for_alert": 50,
  "events": [
    {
      "key": "<string>",
      "in_app": true,
      "email": true,
      "slack": true
    }
  ],
  "notify_on_new_issue": true,
  "notify_on_pattern_detected": true,
  "notify_on_prediction": true,
  "notify_on_recommendation": true,
  "notify_on_report_ready": true
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email_enabled
boolean | null
slack_enabled
boolean | null
digest_frequency
enum<string> | null
Available options:
realtime,
daily,
weekly,
never
min_severity_for_alert
enum<string> | null
Available options:
p1,
p2,
p3,
p4
min_risk_score_for_alert
integer | null
Required range: 0 <= x <= 100
events
NotifEventPatchItem · object[] | null
notify_on_new_issue
boolean | null
notify_on_pattern_detected
boolean | null
notify_on_prediction
boolean | null
notify_on_recommendation
boolean | null
notify_on_report_ready
boolean | null

Response

Successful Response